@import "../utils/_variables";

nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 5%;
    // border-bottom: 1px solid rgba($color: #000000, $alpha: .08);

   ul {
        list-style: none;
        display: flex;
        margin: 0;
        padding: 0;

        li {
            margin: 0 1rem;
            padding: 0.5rem 0;
            a {
                text-decoration: none;
                color: #aaaaaa;
                font-size: 1.2rem;
                font-weight: 600;
                transition: all 0.3s ease-in-out;
                cursor: pointer;

                &:hover {
                    color: #000;
                }
            }
        }
   }
}

.navbar-drawer {
    height: 100vh;
    padding-left:  20px;
    padding-right:  20px;
    box-shadow: -10px 1px 16px rgba(0, 0, 0, 0.25);
    position: fixed;
    width: 17%;

    &--body {
        overflow-y: scroll;
        height: calc(100vh - 250px);
    }
    
    ul {
        list-style: none;
        margin: 0;
        padding: 0;
        width: 100%;
    }
    
    &--item {
        margin: 3px 0;
        color: $color-text-primary;
        font-size: 1.2rem;
        padding: 1rem;
        border-radius: 5px;
        transition: all 0.3s ease-in-out;
        cursor: pointer;
        display: flex;
        align-items: center;
        border-color: transparent;
        border-style: solid;
        border-width: 1px;
        p {
            transition: all 0.1s ease;
        }

        i {
            margin-right: 1rem;
            transition: all 0.1s ease;
        }

        &.active {
            background-color: rgba($color-primary,.03);
            border-color: rgba($color-primary,.4);
            color: rgba($color-primary,1);
        }
        &:hover {
            background-color: rgba($color-primary,.15);
            border-color: rgba($color-primary,.8);
            color: rgba($color-primary,1);
        }
    }

    &--footer {
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        padding: 20px 20px;
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
}